Bug 154084 - www/qt4-webkit giving link errors on amd64 with new binutils
Summary: www/qt4-webkit giving link errors on amd64 with new binutils
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-17 15:10 UTC by Dimitry Andric
Modified: 2011-02-21 11:43 UTC (History)
0 users

See Also:


Attachments
file.diff (1.91 KB, patch)
2011-01-17 15:10 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2011-01-17 15:10:08 UTC
When building the www/qt4-webkit port with newer versions of binutils
(e.g. 2.17 or higher), it errors out with:

ld: ./.libs/libJavaScriptCore.a(libJavaScriptCore_la-JITStubs.o):
relocation R_X86_64_PC32 against symbol `cti_vm_throw' can not be used
when making a shared object; recompile with -fPIC

This is due to WebKit PR 28422:
https://bugs.webkit.org/show_bug.cgi?id=28422

It is marked RESOLVED FIXED upstream, but their patch only tests for
Linux, unfortunately.  I amended this to also test for FreeBSD.

Fix: See diff.

Patch attached with submission follows:
How-To-Repeat: Compile port with binutils 2.17 or later.
Comment 1 Edwin Groothuis freebsd_committer 2011-01-17 15:10:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Raphael Kubo da Costa 2011-01-17 15:41:28 UTC
The patch looks OK (I haven't tested it yet, though).

Do you experience the same problem with other WebKit ports besides the Qt one? 
Is it possible for you to try to submit this patch upstream too?
Comment 3 Dimitry Andric freebsd_committer 2011-01-17 16:04:15 UTC
On 2011-01-17 16:41, Raphael Kubo da Costa wrote:
> The patch looks OK (I haven't tested it yet, though).
>
> Do you experience the same problem with other WebKit ports besides the Qt one?

I tried www/webkit-gtk2, but that built fine without any fixes, though
I'm not sure how much source it shares.  I don't really know which other
ports use (parts of) WebKit, any idea which ones those are?


> Is it possible for you to try to submit this patch upstream too?

Sure, the PR on the WebKit site is closed, but I'll see about creating a
new one.
Comment 4 Dimitry Andric freebsd_committer 2011-01-17 19:47:57 UTC
On 2011-01-17 16:41, Raphael Kubo da Costa wrote:
> Is it possible for you to try to submit this patch upstream too?

Submitted: https://bugs.webkit.org/show_bug.cgi?id=52591
Comment 5 Dimitry Andric freebsd_committer 2011-01-18 22:57:03 UTC
The patch has been accepted upstream:

http://trac.webkit.org/changeset/76060

So it should hopefully end up in the next WebKit source drop.
Comment 6 dfilter service freebsd_committer 2011-02-14 04:20:17 UTC
miwi        2011-02-14 04:20:11 UTC

  FreeBSD ports repository

  Added files:
    www/qt4-webkit/files 
                         patch-src-3rdparty-javascriptcore-JavaScriptCore-jit-JITStubs.cpp 
                         patch-src-3rdparty-webkit-JavaScriptCore-jit-JITStubs.cpp 
  Log:
  - Fix build with binutils 2.17 or later.
  
  PR:             154084
  Submitted by:   Dimitry Andric <dim@FreeBSD.org>
  
  Revision  Changes    Path
  1.1       +11 -0     ports/www/qt4-webkit/files/patch-src-3rdparty-javascriptcore-JavaScriptCore-jit-JITStubs.cpp (new)
  1.1       +11 -0     ports/www/qt4-webkit/files/patch-src-3rdparty-webkit-JavaScriptCore-jit-JITStubs.cpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Alberto Villa freebsd_committer 2011-02-21 11:43:09 UTC
State Changed
From-To: open->closed

committed by miwi. thanks!